Bug 808502 - Conflict with RHEV-M
Conflict with RHEV-M
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.0.0
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Miroslav Suchý
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 10:41 EDT by Robert Locke
Modified: 2014-01-27 08:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 09:26:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Locke 2012-03-30 10:41:25 EDT
Description of problem:
With both rhev repositories and cloudforms repositories enabled:
After installation of "rhevm" and its almost 300 dependencies,
the running rhevm-setup ends with the start of the jbossas
service which fails to start.... So, no rhev-m....


Version-Release number of selected component (if applicable):
RHEV 3.03 (current RHN packageset from RHEV as of 28-Mar-2012)
CloudForms repositories downloaded from 2012-03-21.3: Beta6


How reproducible:
Every time

Steps to Reproduce:
1. Enable RHEV RHN repositories
2. Enable CloudForms repositories
3. yum install rhevm ; rhevm-setup
  
Actual results:
jbossas refuses to start


Expected results:
jbossas should start

Additional info:
1) If I skip step 2 (no CloudForms repositories), rhevm installs and functions.
2) For some more details, after installing and getting RHEV-M running, I enabled the CloudForms repositories to see what packages might have been installed before that were causing the problem with RHEV-M:
gettext.x86_64                              0.18.1.1-9.el6         cloud-engine
gettext-devel.x86_64                        0.18.1.1-9.el6         cloud-engine
gettext-libs.x86_64                         0.18.1.1-9.el6         cloud-engine
glassfish-jaf.noarch                        1.1.0-9.el6            system-engine
glassfish-javamail.noarch                   1.4.4-2.el6            system-engine
log4j.noarch                                1.2.16-4_redhat_1.el6  system-engine
m2crypto.x86_64                             0.21.1.pulp-7.el6      system-engine
subscription-manager.x86_64                 0.96.17.2-2.el6        cf-tools    
subscription-manager-firstboot.x86_64       0.96.17.2-2.el6        cf-tools    
subscription-manager-gnome.x86_64           0.96.17.2-2.el6        cf-tools
Comment 1 James Laska 2012-04-18 10:51:18 EDT
While a valid bug, I'm confident we do not support enabling CloudForms and RHEV on the *same* system.

That said, can you attach some log files which indicate why jbossas refuses to start?  Either /var/log/messages, or a specific logfile that jbossas uses?  Or perhaps stdout/stderr while attempting to run rhevm-setup that demonstrates the problem?
Comment 3 Miroslav Suchý 2012-12-18 07:15:53 EST
taking
Comment 4 Miroslav Suchý 2012-12-18 09:26:14 EST
Conflicts should be used only if the application could not run with others packages installed (but not yet configured):
https://fedoraproject.org/wiki/Packaging:Conflicts

And I just verified that I'm able to 
1) install CFSE
2) yum install rhevm
3) katello-service restart

and Katello behave correctly.
So Conflicts in spec file is not correct solution. Definitelly not in katello.
I did not test if RHEV is able to operate with katello packages installed (but not configured), but if not such conflicts have to got to RHEV package and not to Katello.

I'm closing this as NOTABUG. If you want to resolve it somehow, please reopen and change it to documentation bug. As only solution I can see is to state in:
https://access.redhat.com/knowledge/docs/en-US/CloudForms/1.1/html/Installation_Guide/Prerequisites3.html
That no other application (like RHEV) should be installed on targed system.
Comment 5 Miroslav Suchý 2012-12-18 09:28:39 EST
And to be complete.
Katello still correctly operate even with RHEVM configured.

Note You need to log in before you can comment on or make changes to this bug.